summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorvlad2015-07-08 15:44:27 +0300
committervlad2015-07-08 15:44:27 +0300
commitcb435f0dd889144a77b75a8bce94dd8f8970856a (patch)
tree13178b28c43e66cf5d60b00de3b7864942f45574
downloadaur-cb435f0dd889144a77b75a8bce94dd8f8970856a.tar.gz
Initial import
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD25
-rw-r--r--thunar-dropbox.install11
3 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..5f95b8e16d9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = thunar-dropbox
+ pkgdesc = Plugin for thunar that adds context-menu items for dropbox.
+ pkgver = 0.2.1
+ pkgrel = 1
+ url = http://www.softwarebakery.com/maato/thunar-dropbox.html
+ install = thunar-dropbox.install
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = pkg-config
+ makedepends = python2
+ depends = thunar
+ source = http://www.softwarebakery.com/maato/files/thunar-dropbox/thunar-dropbox-0.2.1.tar.bz2
+ md5sums = 52bb2caa26afaf80835a56b9ad3d2155
+
+pkgname = thunar-dropbox
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..293512e1513
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Contributor: Maato <maato softwarebakery com>
+pkgname='thunar-dropbox'
+pkgver=0.2.1
+pkgrel=1
+pkgdesc="Plugin for thunar that adds context-menu items for dropbox."
+arch=('i686' 'x86_64')
+url="http://www.softwarebakery.com/maato/thunar-dropbox.html"
+license=('GPL3')
+depends=('thunar')
+makedepends=('pkg-config' 'python2')
+install=thunar-dropbox.install
+source=(http://www.softwarebakery.com/maato/files/thunar-dropbox/$pkgname-$pkgver.tar.bz2)
+md5sums=('52bb2caa26afaf80835a56b9ad3d2155')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ python2 waf configure --prefix=/usr || return 1
+ python2 waf build || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ python2 waf install --destdir=$pkgdir || return 1
+}
diff --git a/thunar-dropbox.install b/thunar-dropbox.install
new file mode 100644
index 00000000000..1a05f573e59
--- /dev/null
+++ b/thunar-dropbox.install
@@ -0,0 +1,11 @@
+post_install() {
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ post_install
+}